# No, please don't break the linker.  Thanks.
%undefine _auto_set_build_flags

Name: gnu-efi-ukiboot
Epoch: 1
Version: 3.0.18
Release: 2%{?dist}
Summary: New gnu-efi for ukiboot
License: BSD-2-Clause AND BSD-2-Clause-Patent AND BSD-3-Clause AND BSD-4-Clause AND GPL-2.0-or-later AND GPL-2.0-only
URL: https://sourceforge.net/projects/gnu-efi/

Source0: https://sourceforge.net/projects/gnu-efi/files/gnu-efi-%{version}.tar.bz2

# these are taken from upstream with `git diff 3.0.18 > gnu-efi-backports.patch`
Patch0001: gnu-efi-backports.patch

ExclusiveArch: %{efi}
BuildRequires: binutils
BuildRequires: efi-srpm-macros >= 5-4
BuildRequires: gcc

# We're explicitly *not* requiring glibc-headers, because it gets us
# cross-arch dependency problems in "fedpkg mockbuild" from x86_64.
# BuildRequires: glibc-headers
%ifarch x86_64
# So... in some build environments, glibc32 provides some headers.  In
# others, glibc-devel.i686 does.  They have no provides in common, as
# file provides in /usr/include or /usr/lib are not usable with dnf5.
BuildRequires: (glibc-devel(x86-32) or glibc32)
%endif
BuildRequires: make

# rpmlint, shut up.
%define lib %{nil}lib%{nil}

%define debug_package %{nil}

# brp-strip-static-archive will senselessly /add/ timestamps and uid/gid
# data to our .a and make them not multilib clean if we don't have this.
%undefine __brp_strip_static_archive
%global __brp_strip_static_archive find '%{buildroot}' -name '*.a' -print -exec %{__strip} -gDp {} \\;

%description
This is a new version of gnu-efi needed to build ukiboot.

%prep
%autosetup -p1 -n gnu-efi-%{version}

%build
%undefine _hardened_ldflags
make LIBDIR=%{_prefix}/lib gnuefi

%install
make PREFIX=%{_prefix}/gnu-efi-ukiboot LIBDIR=%{_prefix}/lib//gnu-efi-ukiboot INSTALLROOT=%{buildroot} install SUBDIRS="lib gnuefi inc"

%files
%{_prefix}/gnu-efi-ukiboot
%{_prefix}/lib/gnu-efi-ukiboot

%changelog
* Wed May 7 2025 Alexander Larsson <alexl@redhat.com> - 1:3.0.18-1
- Initial version
